%define major 22
%define libname %mklibname dc1394_ %{major}
%define develname %mklibname dc1394 -d

Summary: 	Library for 1394 Digital Camera Specification
Name: 		libdc1394
Version: 	2.1.4
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		System/Libraries
URL: 		http://sourceforge.net/projects/libdc1394/
Source0: 	http://downloads.sourceforge.net/%name/%{name}-%{version}.tar.gz
Patch0:		libdc1394-2.1.4-fix-linking.patch
Patch1:		libdc1394-2.1.2-videodev.h.patch
BuildRequires:	libraw1394-devel usb1-devel
BuildRequires:	libx11-devel libxv-devel libsm-devel
BuildRequires:	libv4l-devel
Requires: 	libraw1394 kernel

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries
Provides: 	libdc1394

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{develname}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
%if "%{_lib}" != "lib"
Provides: 	libdc1394-devel = %{version}-%{release}
%endif
Provides: 	dc1394-devel = %{version}-%{release}

%description -n %{develname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q 
%patch0 -p0 -b .link
%patch1 -p0 -b .v4l

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_bindir}/dc1394_reset_bus
%{_includedir}/dc1394
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/*.1*


%changelog

* Sun Jan 22 2012 fwang <fwang> 2.1.4-1.mga2
+ Revision: 199371
- new version 2.1.4

* Tue Sep 13 2011 fwang <fwang> 2.1.3-2.mga2
+ Revision: 142905
- drop .la files

* Mon Jun 20 2011 tv <tv> 2.1.3-1.mga2
+ Revision: 110711
- new release
- BuildRequires: libv4l-devel

* Thu Apr 21 2011 rtp <rtp> 2.1.2-7.mga1
+ Revision: 89407
- disable v4l1 application to fix build failure

  + ahmad <ahmad>
    - drop old/uneeded scriptlets
    - replace X11-devel with libx11-devel libxv-devel libsm-devel
    - drop old kernel versionated requires
    - imported package libdc1394

